Show / Hide Table of Contents

# Class Label

The Label View displays a string at a given position and supports multiple lines separted by newline characters. Multi-line Labels support word wrap.

##### Inheritance

System.Object
Responder
View
Label

##### Implements

System.IDisposable
System.Collections.IEnumerable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.HotKey
View.HotKeySpecifier
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.GetEnumerator()
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.ChildNeedsDisplay()
View.Add(View)
View.Add(View[])
View.RemoveAll()
View.Remove(View)
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32)
View.PositionCursor()
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.Redraw(Rect)
View.DrawContent
View.OnDrawContent(Rect)
View.SetFocus(View)
View.KeyPress
View.ProcessKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.KeyDown
View.OnKeyDown(KeyEvent)
View.KeyUp
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.Text
View.TextAlignment
View.IsInitialized
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
Responder.MouseEvent(MouseEvent)
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class Label : View, IDisposable, IEnumerable, ISupportInitializeNotification, ISupportInitialize

##### Remarks

The Label view is functionality identical to View and is included for API backwards compatibilty.

### Constructors

#### Label()

##### Declaration

    public Label()

#### Label(ustring)

##### Declaration

    public Label(ustring text)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | text |

#### Label(Int32, Int32, ustring)

##### Declaration

    public Label(int x, int y, ustring text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x |
System.Int32 | y |
NStack.ustring | text |

#### Label(Rect)

##### Declaration

    public Label(Rect frame)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame |

#### Label(Rect, ustring)

##### Declaration

    public Label(Rect rect, ustring text)

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | rect |
NStack.ustring | text |

### Fields

#### Clicked

Clicked System.Action, raised when the user clicks the primary mouse button within the Bounds of this View or if the user presses the action key while this view is focused. (TODO: IsDefault)

##### Declaration

    public Action Clicked

##### Field Value

Type | Description
--- | ---
System.Action |

##### Remarks

Client code can hook up to this event, it is raised when the button is activated either with the mouse or the keyboard.

### Methods

#### OnMouseEvent(MouseEvent)

Method invoked when a mouse event is generated

##### Declaration

    public override bool OnMouseEvent(MouseEvent mouseEvent)

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | mouseEvent |

##### Returns

Type | Description
--- | ---
System.Boolean | `true`, if the event was handled, `false` otherwise.

##### Overrides

View.OnMouseEvent(MouseEvent)

### Implements

System.IDisposable
System.Collections.IEnumerable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize